OSSIM-CREATE-CG(1)

NAME
ossim-create-cg - ossim-create-cg

SYNOPSIS
ossim-create-cg [options] <image_file>

DESCRIPTION
Description: ossim-create-cg Creates OSSIM coarse grid geometry from rigorous sensor model.

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-d or --support
    <geom_path> -- Specifies a supplementary directory path to contain the geom and associated grid files. The default is to use the image directory.

-e  <error> -- default is 0.1. This is the maximum difference tolerated in pixels between the rigorous model and the computed coarse grid. The smaller this value, the bigger the resulting grid.

-h or --help
    Shows help

-o  <base_out_name> -- Specifies a new base output name for the geom and associated grid files. The default is to use the base name of the image file with .geom and .ocg extensions. If specified then the output is <base_out_name>.geom and <base_out_name>.ocg where the .ocg contains the coarse grid data. THIS IS NOT COMMON AND MAY PREVENT OSSIM FROM SUBSEQUENTLY LOCATING THE GEOMETRY FILE.

-s  <min_line_sample_spacing> -- Specifies the min line sample spacing for the coarse grid. Helps in converging. Basically will stop splitting if number of pixels per grid cell gets below this number.

SEE ALSO
The full documentation for ossim-create-cg is maintained as a Texinfo manual. If the info and ossim-create-cg programs are properly installed at your site, the command

    info ossim-create-cg

should give you access to the complete manual.